Puesto Labs
IntroductionAuthenticationPagination & sortingSyncing with the changes feedErrorsRate limitsBuilding with AI

Here you can add a description about your company or product

© Copyright 2026 Puesto Labs. All Rights Reserved.

About
  • Blog
  • Contact
Product
  • Documentation
  • llms.txt
Legal
  • Terms of Service
  • Privacy Policy
  • Cookie Policy
Puesto Docs

List vocabulary values

GET
/api/v1/meta/vocab

Enumerate the accepted values for each enum-backed filter parameter (and the salary_period field). Use these to build filter UIs without hard-coding values.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret API key (prefixed sk_) as a bearer token: Authorization: Bearer sk_....

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v1/meta/vocab"
{  "workplace": [    "string"  ],  "employment_type": [    "string"  ],  "level": [    "string"  ],  "salary_period": [    "string"  ],  "status": [    "string"  ]}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "errors": [    {      "field": "string",      "message": "string"    }  ]}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "errors": [    {      "field": "string",      "message": "string"    }  ]}